summaryrefslogtreecommitdiff
path: root/simple/start.sh
diff options
context:
space:
mode:
Diffstat (limited to 'simple/start.sh')
-rwxr-xr-xsimple/start.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/simple/start.sh b/simple/start.sh
new file mode 100755
index 0000000..535c005
--- /dev/null
+++ b/simple/start.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+set -e
+. layer-recipes/util.sh
+require-layer machine
+require-layer dns
+
+export SF_PATH=run
+
+sf.base node start bridge0 '{ module: sf.bridge, configuration: {} }'
+sf.base node start sf_net '{ module: sf.eiface, configuration: { inet: "10.2.0.1/24" } }'
+sf.base link start l0 sf_net '' bridge0 link0
+sf.base node start j0 "$(cat simple/0/conf)"
+sf.base node start j1 "$(cat simple/1/conf)"
+sf.base link start l1 j0 eth0 j1 eth0
+sf.base link start l2 j0 eth1 bridge0 link1
+sf.base link start l3 j1 eth1 bridge0 link2